curl --request POST \
--url https://api.zapier.com/trigger-inbox/v1/inboxes/{inbox_id}/messages/ack \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lease_id": "019ce2fe-5ed1-7318-8a60-33dffd911f6a"
}
'{
"acked_id": null,
"results": []
}{
"acked_id": "019ce305-35be-764b-bcae-70ba567b7357",
"results": [
{
"id": "019ce2fe-5ed1-7318-8a60-33dffd911f6b",
"created_at": "2026-03-12T16:59:47.185Z",
"status": "acked",
"message_attributes": {
"lease_count": 1,
"error_message": null,
"possible_duplicate_data": false
}
}
]
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}Inbox Messages
Acknowledge messages from an inbox
Acknowledge messages from an inbox for the authenticated user.
POST
/
trigger-inbox
/
v1
/
inboxes
/
{inbox_id}
/
messages
/
ack
curl --request POST \
--url https://api.zapier.com/trigger-inbox/v1/inboxes/{inbox_id}/messages/ack \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lease_id": "019ce2fe-5ed1-7318-8a60-33dffd911f6a"
}
'{
"acked_id": null,
"results": []
}{
"acked_id": "019ce305-35be-764b-bcae-70ba567b7357",
"results": [
{
"id": "019ce2fe-5ed1-7318-8a60-33dffd911f6b",
"created_at": "2026-03-12T16:59:47.185Z",
"status": "acked",
"message_attributes": {
"lease_count": 1,
"error_message": null,
"possible_duplicate_data": false
}
}
]
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}Authorizations
OAuth 2.0 authentication.
Path Parameters
Body
application/json
Last modified on August 20, 2026
Was this page helpful?